# MedScript
# Copyright (C) 2023 Dr. Agnibho Mondal
# This file is part of MedScript.
# MedScript is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.
# MedScript is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
# You should have received a copy of the GNU General Public License along with MedScript. If not, see <https://www.gnu.org/licenses/>.

import os
from PyQt6.QtWidgets import QMainWindow
from PyQt6.QtWebEngineWidgets import QWebEngineView
from PyQt6.QtCore import QUrl
from PyQt6.QtGui import QIcon
from markdown import markdown

class ViewBox(QMainWindow):
    def __init__(self, *args, **kwargs):
        super().__init__(*args, **kwargs)

        self.setWindowTitle("MedScript")
        self.setGeometry(100, 100, 400, 400)

        self.webview=QWebEngineView()

        self.setCentralWidget(self.webview)
        self.setWindowIcon(QIcon(os.path.join("resource", "icon_medscript.ico")))


    def open(self, file):
        self.webview.load(QUrl("file:///"+os.path.abspath(file).replace(os.sep, "/")))

    def md(self, file):
        with open(file) as f:
            html=markdown(f.read())
            self.webview.setHtml(html)
